clang-tools 10.0.0

Classes | Public Member Functions | Public Attributes | List of all members
clang::clangd::TUStatus Struct Reference

`#include <TUScheduler.h>`

Collaboration diagram for clang::clangd::TUStatus:
[legend]

## Classes
struct | BuildDetails

## Public Member Functions
FileStatus | render (PathRef File) const
| Serialize this to an LSP file status item. More...

## Public Attributes
TUAction | Action
BuildDetails | Details

## Detailed Description

Definition at line 81 of file TUScheduler.h.

## Member Function Documentation

## ◆ render()

FileStatus clang::clangd::TUStatus::render | ( | PathRef | File | ) | const

Serialize this to an LSP file status item.

Definition at line 836 of file TUScheduler.cpp.

References Action, clang::clangd::URIForFile::canonicalize(), clang::clangd::FileStatus::state, and clang::clangd::FileStatus::uri.

## Member Data Documentation

## ◆ Action

TUAction clang::clangd::TUStatus::Action

Definition at line 91 of file TUScheduler.h.

## ◆ Details

BuildDetails clang::clangd::TUStatus::Details

Definition at line 92 of file TUScheduler.h.

The documentation for this struct was generated from the following files:

- TUScheduler.h
- TUScheduler.cpp